List CloudFS filesystems
Lists the CloudFS filesystems for the authenticated user’s organization. Results use cursor-based pagination: fetch the next page by passing meta.cursors.after as page[after], or follow the meta.next URL.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.storage.cloudfs.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.storage.cloudfs.list()
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
cloudfs, err := client.Storage.Cloudfs.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", cloudfs.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.storage().cloudfs().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.storage.cloudfs.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->storage->cloudfs->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:cloudfs list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/storage/cloudfs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "cloudfs",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "agent-fs",
"status": "ready",
"s3_endpoint": "https://us-east-1.telnyxcloudstorage.com",
"s3_bucket": "cloudfs-fs-0123456789abcdef",
"region": "us-east-1",
"created_at": "2026-07-14T21:42:01Z",
"updated_at": "2026-07-14T21:42:01Z"
}
],
"meta": {
"cursors": {
"after": "<string>",
"before": "<string>"
},
"next": "<string>",
"previous": "<string>"
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of filesystems to return per page. Values above 250 are treated as 250.
1 <= x <= 250Opaque cursor from a previous response's meta.cursors.after; returns the page after it. Mutually exclusive with page[before].
Opaque cursor from a previous response's meta.cursors.before; returns the page before it. Mutually exclusive with page[after].
Return only the filesystem whose name matches exactly.
Return only filesystems with this status. Unrecognized values are ignored.
provisioning, ready, needs_format, deleting, failed Return only filesystems in this region.
"us-east-1"
Sort order for the results: a field name for ascending, or the field name prefixed with - for descending.
created_at, -created_at, updated_at, -updated_at, name, -name Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.storage.cloudfs.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.storage.cloudfs.list()
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
cloudfs, err := client.Storage.Cloudfs.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", cloudfs.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.storage().cloudfs().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.storage.cloudfs.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->storage->cloudfs->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:cloudfs list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/storage/cloudfs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "cloudfs",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "agent-fs",
"status": "ready",
"s3_endpoint": "https://us-east-1.telnyxcloudstorage.com",
"s3_bucket": "cloudfs-fs-0123456789abcdef",
"region": "us-east-1",
"created_at": "2026-07-14T21:42:01Z",
"updated_at": "2026-07-14T21:42:01Z"
}
],
"meta": {
"cursors": {
"after": "<string>",
"before": "<string>"
},
"next": "<string>",
"previous": "<string>"
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}